Bullet Collision Detection & Physics Library: btCPUVertexBufferDescriptor Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
btCPUVertexBufferDescriptor Class Reference

`#include <btSoftBodySolverVertexBuffer.h>`

Inheritance diagram for btCPUVertexBufferDescriptor:
[legend]
Collaboration diagram for btCPUVertexBufferDescriptor:
[legend]

## Public Member Functions
| btCPUVertexBufferDescriptor (float *basePointer, int vertexOffset, int vertexStride)
| vertexBasePointer is pointer to beginning of the buffer.
| btCPUVertexBufferDescriptor (float *basePointer, int vertexOffset, int vertexStride, int normalOffset, int normalStride)
| vertexBasePointer is pointer to beginning of the buffer.
virtual | ~btCPUVertexBufferDescriptor ()
virtual BufferTypes | getBufferType () const
| Return the type of the vertex buffer descriptor.
virtual float * | getBasePointer () const
| Return the base pointer in memory to the first vertex.
Public Member Functions inherited from btVertexBufferDescriptor
| btVertexBufferDescriptor ()
virtual | ~btVertexBufferDescriptor ()
virtual bool | hasVertexPositions () const
virtual bool | hasNormals () const
virtual BufferTypes | getBufferType () const =0
| Return the type of the vertex buffer descriptor.
virtual int | getVertexOffset () const
| Return the vertex offset in floats from the base pointer.
virtual int | getVertexStride () const
| Return the vertex stride in number of floats between vertices.
virtual int | getNormalOffset () const
| Return the vertex offset in floats from the base pointer.
virtual int | getNormalStride () const
| Return the vertex stride in number of floats between vertices.

## Protected Attributes
float * | m_basePointer
Protected Attributes inherited from btVertexBufferDescriptor
bool | m_hasVertexPositions
bool | m_hasNormals
int | m_vertexOffset
int | m_vertexStride
int | m_normalOffset
int | m_normalStride

## Additional Inherited Members
Public Types inherited from btVertexBufferDescriptor
enum | BufferTypes { CPU_BUFFER , DX11_BUFFER , OPENGL_BUFFER }

## Detailed Description

Definition at line 102 of file btSoftBodySolverVertexBuffer.h.

## Constructor & Destructor Documentation

## ◆ btCPUVertexBufferDescriptor() [1/2]

btCPUVertexBufferDescriptor::btCPUVertexBufferDescriptor | ( | float * | basePointer,
|  | int | vertexOffset,
|  | int | vertexStride
| ) |  |
| inline

vertexBasePointer is pointer to beginning of the buffer.

vertexOffset is the offset in floats to the first vertex. vertexStride is the stride in floats between vertices.

Definition at line 113 of file btSoftBodySolverVertexBuffer.h.

## ◆ btCPUVertexBufferDescriptor() [2/2]

btCPUVertexBufferDescriptor::btCPUVertexBufferDescriptor | ( | float * | basePointer,
|  | int | vertexOffset,
|  | int | vertexStride,
|  | int | normalOffset,
|  | int | normalStride
| ) |  |
| inline

vertexBasePointer is pointer to beginning of the buffer.

vertexOffset is the offset in floats to the first vertex. vertexStride is the stride in floats between vertices.

Definition at line 126 of file btSoftBodySolverVertexBuffer.h.

## ◆ ~btCPUVertexBufferDescriptor()

virtual btCPUVertexBufferDescriptor::~btCPUVertexBufferDescriptor | ( |  | ) |
| inlinevirtual

Definition at line 139 of file btSoftBodySolverVertexBuffer.h.

## Member Function Documentation

## ◆ getBasePointer()

virtual float * btCPUVertexBufferDescriptor::getBasePointer | ( |  | ) | const
| inlinevirtual

Return the base pointer in memory to the first vertex.

Definition at line 154 of file btSoftBodySolverVertexBuffer.h.

## ◆ getBufferType()

virtual BufferTypes btCPUVertexBufferDescriptor::getBufferType | ( |  | ) | const
| inlinevirtual

Return the type of the vertex buffer descriptor.

Implements btVertexBufferDescriptor.

Definition at line 146 of file btSoftBodySolverVertexBuffer.h.

## Member Data Documentation

## ◆ m_basePointer

float* btCPUVertexBufferDescriptor::m_basePointer
| protected

Definition at line 105 of file btSoftBodySolverVertexBuffer.h.

The documentation for this class was generated from the following file:

- btSoftBodySolverVertexBuffer.h